Retrieve a journal entry
curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/journal_entries/{journal_entry} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.nmbr.co/services/payroll/journal_entries/{journal_entry}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.nmbr.co/services/payroll/journal_entries/{journal_entry}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.nmbr.co/services/payroll/journal_entries/{journal_entry}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.nmbr.co/services/payroll/journal_entries/{journal_entry}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.nmbr.co/services/payroll/journal_entries/{journal_entry}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.nmbr.co/services/payroll/journal_entries/{journal_entry}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<id>",
"object": "journal_entry",
"data": {
"type": "payroll_recording",
"title": "Payroll Accrual Entry",
"title_translations": {
"en": "Payroll Accrual Entry",
"fr": "Écriture de provision de la paie"
},
"title_translated": "Payroll Accrual Entry",
"payroll": {
"id": "<id>",
"object": "payroll",
"links": {
"self": "/payrolls/<id>"
}
},
"pay_stub": null,
"is_balanced": true,
"total": 0,
"is_missing_line_item_accounting_codes": true,
"is_missing_default_account_payable": true,
"is_missing_default_bank_account": false,
"posted_on": "2026-01-30T00:00:00.000000Z",
"invalid_expense_types": [
{
"type": "employer_statutory_withholding",
"subtype": "ei"
},
{
"type": "employer_statutory_withholding",
"subtype": "cpp"
},
{
"type": "employer_statutory_withholding",
"subtype": "cpp_2"
}
],
"invalid_liability_types": [
{
"type": "statutory_withholding",
"subtype": "cpp"
},
{
"type": "statutory_withholding",
"subtype": "cpp_2"
},
{
"type": "statutory_withholding",
"subtype": "ei"
},
{
"type": "statutory_withholding",
"subtype": "federal_income_tax"
},
{
"type": "statutory_withholding",
"subtype": "provincial_income_tax"
},
{
"type": "employer_statutory_withholding",
"subtype": "ei"
},
{
"type": "employer_statutory_withholding",
"subtype": "cpp"
},
{
"type": "employer_statutory_withholding",
"subtype": "cpp_2"
}
],
"integrations": {
"quickbooks": {
"reference": null
},
"xero": {
"reference": null
}
},
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/journal_entries/<id>"
}
}Journal Entries
Retrieve a journal entry
GET
/
journal_entries
/
{journal_entry}
Retrieve a journal entry
curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/journal_entries/{journal_entry} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.nmbr.co/services/payroll/journal_entries/{journal_entry}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.nmbr.co/services/payroll/journal_entries/{journal_entry}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.nmbr.co/services/payroll/journal_entries/{journal_entry}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.nmbr.co/services/payroll/journal_entries/{journal_entry}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.nmbr.co/services/payroll/journal_entries/{journal_entry}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.nmbr.co/services/payroll/journal_entries/{journal_entry}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<id>",
"object": "journal_entry",
"data": {
"type": "payroll_recording",
"title": "Payroll Accrual Entry",
"title_translations": {
"en": "Payroll Accrual Entry",
"fr": "Écriture de provision de la paie"
},
"title_translated": "Payroll Accrual Entry",
"payroll": {
"id": "<id>",
"object": "payroll",
"links": {
"self": "/payrolls/<id>"
}
},
"pay_stub": null,
"is_balanced": true,
"total": 0,
"is_missing_line_item_accounting_codes": true,
"is_missing_default_account_payable": true,
"is_missing_default_bank_account": false,
"posted_on": "2026-01-30T00:00:00.000000Z",
"invalid_expense_types": [
{
"type": "employer_statutory_withholding",
"subtype": "ei"
},
{
"type": "employer_statutory_withholding",
"subtype": "cpp"
},
{
"type": "employer_statutory_withholding",
"subtype": "cpp_2"
}
],
"invalid_liability_types": [
{
"type": "statutory_withholding",
"subtype": "cpp"
},
{
"type": "statutory_withholding",
"subtype": "cpp_2"
},
{
"type": "statutory_withholding",
"subtype": "ei"
},
{
"type": "statutory_withholding",
"subtype": "federal_income_tax"
},
{
"type": "statutory_withholding",
"subtype": "provincial_income_tax"
},
{
"type": "employer_statutory_withholding",
"subtype": "ei"
},
{
"type": "employer_statutory_withholding",
"subtype": "cpp"
},
{
"type": "employer_statutory_withholding",
"subtype": "cpp_2"
}
],
"integrations": {
"quickbooks": {
"reference": null
},
"xero": {
"reference": null
}
},
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/journal_entries/<id>"
}
}Authorizations
Response
200 - application/json
OK
- Default
- With payroll expanded
- With pay_stub expanded
- With journal_entry_rows expanded
Hide child attributes
Hide child attributes
External integration references. Contains xero and quickbooks objects, each with a reference field holding the external ID if synced.

